# $Revision: 1.16 $, $Date: 2009/04/06 10:22:43 $
%bcond_without	javadoc		# build api docs
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif
#
%include	/usr/lib/rpm/macros.java

%define 	snapshot	20001002
%define		srcname		cryptix
Summary:	Java crypto package
Summary(pl.UTF-8):	Pakiet kryptograficzny Javy
Name:		java-cryptix
Version:	3.2.0
Release:	2
License:	BSD-like
Group:		Libraries/Java
Source0:	http://www.cryptix.org/dist/%{srcname}32-%{snapshot}-r%{version}.zip
# Source0-md5:	7a3545ede3fff5c89eba601fea03791a
Source1:	%{srcname}.build.xml
Patch0:		%{srcname}-java-1.5.patch
URL:		http://www.cryptix.org/
BuildRequires:	ant >= 1.5
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	jre >= 1.1
Obsoletes:	cryptix
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%package javadoc
Summary:	Online manual for %{srcname}
Summary(pl.UTF-8):	Dokumentacja online do %{srcname}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for %{srcname}.

%description javadoc -l pl.UTF-8
Dokumentacja do %{srcname}.

%description javadoc -l fr.UTF-8
Javadoc pour %{srcname}.

%description
Cryptix 3 is a cleanroom implementation of Sun's Java Cryptography
Extensions (JCE) version 1.1. In addition to that it contains the
Cryptix Provider which delivers a wide range of algorithms and support
for PGP 2.x. Cryptix 3 runs on both JDK 1.1 and JDK 1.2 (Java 2).

%description -l pl.UTF-8
Cryptix 3 to implementacja standardu JCE (Java Cryptography
Extensions) Suna w wersji 1.1. Pakiet dodatkowo zawiera Cryptix
Provider, dostarczający szeroki zakres algorytmów oraz wsparcie dla
PGP 2.x. Cryptix 3 działa zarówno na JDK 1.1 jak i JDK 1.2 (Java 2).

%prep
%setup -q -c
%patch0 -p1
cp %{SOURCE1} build.xml
find -name '*.jar' | xargs rm -v

%build
%ant jar %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp build/lib/%{srcname}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc LICENCE.TXT README.TXT build/api
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-cryptix.spec,v $
Revision 1.16  2009/04/06 10:22:43  pawelz
- dropped P: jce (java-sun provides different JCE api (???))
- rel 2

Revision 1.15  2009/04/06 04:50:12  pawelz
- renamed from cryptix.spec
- build javadoc (as separate package)
- jdk bconds

Revision 1.14  2009/01/23 12:26:02  pawelz
- BR: jdk
- adapterized

Revision 1.13  2007/04/09 23:50:36  glen
- use java macros. builds with java-1.5

Revision 1.12  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.10  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.9  2005/05/30 08:06:31  leafnode
- patch fixing build with sun java 1.5

Revision 1.8  2005/03/05 22:45:13  patrys
- won't build with 1.5

Revision 1.7  2004/07/15 13:07:35  pluto
- BR(unzip) added.

Revision 1.6  2004/07/15 13:06:37  pluto
- use %{_javadir}.

Revision 1.5  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.4  2003/08/06 16:53:00  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.3  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.2  2003/07/03 22:23:58  qboosh
- pl, R: jre

Revision 1.1  2003/07/02 11:52:05  pascalek
- initial release
